Namespace
library
Image / Tag
golang:1.11.0
Content Digest
sha256:e8e4c4406217b415c506815d38e3f8ac6e05d0121b19f686c5af7eaadf96f081
Details
Created

2018-09-07 02:03:46 UTC

Size

272 MB

Content Digest
Environment
GOLANG_VERSION

1.11

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:23bbbdd93c8977020ec67716d0cda1fe7a96e73c4c3a0aa6c42122459e2ba839 - 16.13% (43.9 MB)

[#001] sha256:e0651aebef484f2932d9d9ec0ecaeaa15733b8454c24edd2fce38adb0542d794 - 3.77% (10.3 MB)

[#002] sha256:5868a2cc4b3fe4d148aaea3d9f4da71a92f29f3b899d163fef3a2ead52cf44a6 - 1.6% (4.34 MB)

[#003] sha256:d6f5880b1f9668fd77a6ab2213c8f16110a0e52bb5a8b3edd308306f6df47911 - 18.07% (49.2 MB)

[#004] sha256:4315e91e1b67f2cbd5ca04feb6028bb44601d1ba9197e5c913e8de88c21ed785 - 21.75% (59.2 MB)

[#005] sha256:6479fbbe66fc4c5fd1b480f0c0d82e985539d25ade8ecd341c58774bf3e1ab4c - 38.69% (105 MB)

[#006] sha256:1108653587672bbb9f7327f67d98c7c525bfd6121ca8dfd3fa5cbe61d948ebdd - 0.0% (126 Bytes)


History
2018-09-05 10:43:36 UTC

/bin/sh -c #(nop) ADD file:3712892f37687a2c2c5bbcb861ce5514725fe71d82c86a79fb1d1bcaa39b8989 in /

2018-09-05 10:43:36 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-09-05 11:39:44 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2018-09-05 11:39:55 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2018-09-05 11:40:41 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2018-09-07 02:03:30 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2018-09-07 02:03:30 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.11

2018-09-07 02:03:44 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='b3fcf280ff86558e0559e185b601c9eade0fd24c900b4c63cd14d1d38613e499' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='8ffeb3577d8ca5477064f1cb8739835973c866487f2bf81df1227eaa96826acd' ;; arm64) goRelArch='linux-arm64'; goRelSha256='e4853168f41d0bea65e4d38f992a2d44b58552605f623640c5ead89d515c56c9' ;; i386) goRelArch='linux-386'; goRelSha256='1a91932b65b4af2f84ef2dce10d790e6a0d3d22c9ea1bdf3d8c4d9279dfa680e' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='e874d617f0e322f8c2dda8c23ea3a2ea21d5dfe7177abb1f8b6a0ac7cd653272' ;; s390x) goRelArch='linux-s390x'; goRelSha256='c113495fbb175d6beb1b881750de1dd034c7ae8657c30b3de8808032c9af0a15' ;; *) goRelArch='src'; goRelSha256='afc1e12f5fe49a471e3aae7d906c73e9d5b1fdd36d52d72652dde8f6250152fb'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2018-09-07 02:03:45 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2018-09-07 02:03:45 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2018-09-07 02:03:45 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2018-09-07 02:03:46 UTC

/bin/sh -c #(nop) WORKDIR /go

Details
Created

2018-08-27 22:44:14 UTC

Size

2.19 GB

Content Digest
Environment
GIT_DOWNLOAD_SHA256

668d16a799dd721ed126cc91bed49eb2c072ba1b25b50048280a4e2c5ed56e59

GIT_DOWNLOAD_URL

https://github.com/git-for-windows/git/releases/download/v2.11.1.windows.1/MinGit-2.11.1-64-bit.zip

GIT_TAG

v2.11.1.windows.1

GIT_VERSION

2.11.1

GOLANG_VERSION

1.11

GOPATH

C:\gopath


Layers

[#000] sha256:d9e8b01179bfc94a5bdb1810fbd76b999aa52016001ace2d3a4c4bc7065a9601 - 70.62% (1.55 GB)

[#001] sha256:fd59519ea2c2d73a5cba6e562d012a127d08d86dfc5067535eef141406c3750b - 22.56% (506 MB)

[#002] sha256:595cc1655e57da5d50a2e822ee129ee8e86e86e5873f2d763a68fae6b3990104 - 0.0% (1.17 KB)

[#003] sha256:6f6d2b299c84ae2e198fb2b867116f6839b0e1caf9b096c955bd800645c3afad - 0.0% (1.17 KB)

[#004] sha256:41f3e4f4392aedec4db7eded9a3a921914ab0825445dd1aaf24324b1c856aacc - 0.0% (1.16 KB)

[#005] sha256:60530ba8dc94c45f62a432fcdb659a12f8eb409a141f67f77dd4cb7db11ff55a - 0.0% (1.17 KB)

[#006] sha256:4c4222224cd6691d2bca899f785e6348ac7457df577c6d3183d5f205519e23d1 - 0.0% (1.17 KB)

[#007] sha256:9285900c73b0e42d1f15038b5940d3045dcaf2af5f984343a06e9df1b56c703b - 1.24% (27.7 MB)

[#008] sha256:63186bdf69850e38a987b556a2216cb9afb81c15f48fd361475351f188d9e76c - 0.0% (1.17 KB)

[#009] sha256:e416a24534076d63b3e6fd0c30a55aeb81ce3a198bc149bdf919c6770f4b9b6a - 0.01% (301 KB)

[#010] sha256:045038b4c52ba8376ec107e4d3ffe44a93c960db8e5e6d39be8ad435cacd7c08 - 0.0% (1.17 KB)

[#011] sha256:2272687bb9407f63f2968cd82a392b815b844199149f810032e41be6337ef578 - 5.57% (125 MB)

[#012] sha256:7a63f54ba8917e6bc8ed491bbd2d32f180d4ec96e5410f7c7857e7422e466ea6 - 0.0% (1.32 KB)


History
2018-04-12 09:20:54 UTC

Apply image 10.0.17134.1

2018-08-06 18:21:55 UTC

Install update 10.0.17134.228

2018-08-23 10:50:22 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2018-08-23 10:50:23 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_VERSION=2.11.1

2018-08-23 10:50:24 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_TAG=v2.11.1.windows.1

2018-08-23 10:50:25 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_URL=https://github.com/git-for-windows/git/releases/download/v2.11.1.windows.1/MinGit-2.11.1-64-bit.zip

2018-08-23 10:50:26 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_SHA256=668d16a799dd721ed126cc91bed49eb2c072ba1b25b50048280a4e2c5ed56e59

2018-08-23 10:52:11 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:GIT_DOWNLOAD_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:GIT_DOWNLOAD_URL -OutFile 'git.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:GIT_DOWNLOAD_SHA256); if ((Get-FileHash git.zip -Algorithm sha256).Hash -ne $env:GIT_DOWNLOAD_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive -Path git.zip -DestinationPath C:\git\.; Write-Host 'Removing ...'; Remove-Item git.zip -Force; Write-Host 'Updating PATH ...'; $env:PATH = 'C:\git\cmd;C:\git\mingw64\bin;C:\git\usr\bin;' + $env:PATH; [Environment]::SetEnvironmentVariable('PATH', $env:PATH, [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ...'; Write-Host ' git --version'; git --version; Write-Host 'Complete.';

2018-08-23 10:52:12 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOPATH=C:\gopath

2018-08-23 10:53:07 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;C:\go\bin;{1}' -f $env:GOPATH, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine);

2018-08-27 22:38:02 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOLANG_VERSION=1.11

2018-08-27 22:44:12 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://golang.org/dl/go{0}.windows-amd64.zip' -f $env:GOLANG_VERSION); Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'go.zip'; $sha256 = '29f9291270f0b303d0b270f993972ead215b1bad3cc674a0b8a09699d978aeb4'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash go.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive go.zip -DestinationPath C:\; Write-Host 'Verifying install ("go version") ...'; go version; Write-Host 'Removing ...'; Remove-Item go.zip -Force; Write-Host 'Complete.';

2018-08-27 22:44:14 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) WORKDIR C:\gopath

Details
Created

2018-09-05 11:06:51 UTC

Size

282 MB

Content Digest
Environment
GOLANG_VERSION

1.11

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:05d1a5232b461a4b35424129580054caa878cd56f100e34282510bd4b4082e4d - 15.35% (43.2 MB)

[#001] sha256:5cee356eda6bfe3a5a229cd3d964e722ade1da4381842b24e943b03a37aec1f2 - 3.64% (10.2 MB)

[#002] sha256:89d3385f0fd3c0c904ff6e87195bb46f5d9d309e8ddd91bc9b20855d103eeffb - 1.47% (4.14 MB)

[#003] sha256:80ae6b477848b6e03aad8ec9c74f1fb80364e5c8b5fe9ca3ec793df84247f027 - 16.96% (47.7 MB)

[#004] sha256:94ebfeaaddf3afe26b0a5ab61eae274226ba10658ab5de5ca1145954a8d5dcbb - 19.51% (54.9 MB)

[#005] sha256:dd697213ec5954a569ea51f591eace9b96631e19d80c0d55634e0c0bd95bfec7 - 43.08% (121 MB)

[#006] sha256:715d1281dfe77e04b6a8d4b9d674d9ffc3be7456b89a75ac9286c87401d1b2e2 - 0.0% (126 Bytes)


History
2018-09-04 21:21:24 UTC

/bin/sh -c #(nop) ADD file:58d5c21fcabcf1eec94e8676a3b1e51c5fdc2db5c7b866a761f907fa30ede4d8 in /

2018-09-04 21:21:24 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-09-04 22:33:34 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2018-09-04 22:33:43 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2018-09-04 22:34:19 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2018-09-05 11:06:31 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2018-09-05 11:06:31 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.11

2018-09-05 11:06:49 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='b3fcf280ff86558e0559e185b601c9eade0fd24c900b4c63cd14d1d38613e499' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='8ffeb3577d8ca5477064f1cb8739835973c866487f2bf81df1227eaa96826acd' ;; arm64) goRelArch='linux-arm64'; goRelSha256='e4853168f41d0bea65e4d38f992a2d44b58552605f623640c5ead89d515c56c9' ;; i386) goRelArch='linux-386'; goRelSha256='1a91932b65b4af2f84ef2dce10d790e6a0d3d22c9ea1bdf3d8c4d9279dfa680e' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='e874d617f0e322f8c2dda8c23ea3a2ea21d5dfe7177abb1f8b6a0ac7cd653272' ;; s390x) goRelArch='linux-s390x'; goRelSha256='c113495fbb175d6beb1b881750de1dd034c7ae8657c30b3de8808032c9af0a15' ;; *) goRelArch='src'; goRelSha256='afc1e12f5fe49a471e3aae7d906c73e9d5b1fdd36d52d72652dde8f6250152fb'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2018-09-05 11:06:50 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2018-09-05 11:06:50 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2018-09-05 11:06:51 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2018-09-05 11:06:51 UTC

/bin/sh -c #(nop) WORKDIR /go

Details
Created

2018-08-27 22:37:50 UTC

Size

3.06 GB

Content Digest
Environment
GIT_DOWNLOAD_SHA256

668d16a799dd721ed126cc91bed49eb2c072ba1b25b50048280a4e2c5ed56e59

GIT_DOWNLOAD_URL

https://github.com/git-for-windows/git/releases/download/v2.11.1.windows.1/MinGit-2.11.1-64-bit.zip

GIT_TAG

v2.11.1.windows.1

GIT_VERSION

2.11.1

GOLANG_VERSION

1.11

GOPATH

C:\gopath


Layers

[#000] sha256:5847a47b8593f7c39aa5e3db09e50b76d42aa8898c0440c70cc9c69747d4c479 - 69.31% (2.12 GB)

[#001] sha256:c4047f78756c2319eb99557ec7139906cf11af6c91aefcc0e44ac49a5481d8e4 - 25.53% (799 MB)

[#002] sha256:ddd10e03dfdc774fc9b5f720df0030a8f59a8c2c78e843c72b45c30af480dc60 - 0.0% (1.16 KB)

[#003] sha256:8c12058357a053c6542d38c7a21e113d4ce7a615e5eb4f8807c4230d1b4031ea - 0.0% (1.16 KB)

[#004] sha256:cd90e596423afd7a8f1e01b0a8d2d231f19b6e640f1c5e4b5de7c49e597ad7d7 - 0.0% (1.17 KB)

[#005] sha256:54632cb246968a723c80e586ff81c81da034144191691b10cbaa26ceb8dbf4a0 - 0.0% (1.17 KB)

[#006] sha256:5bf35363b2dd3eb1a4bb0e62d2db26a4a2defa6ca083a9dee30f73056e80d028 - 0.0% (1.17 KB)

[#007] sha256:bf3cff204ef4c60216860767897bfa56b59ae3014ac7e76295086bba5e8cefd2 - 0.89% (27.8 MB)

[#008] sha256:aa232763dbc5580f4156b40c2519f368a45b93a7d91097d45474e894e1dbae2d - 0.0% (1.17 KB)

[#009] sha256:5f6d57d06ca4925eb2814abf9499002d83469fa132f97689c46663f159390605 - 0.14% (4.51 MB)

[#010] sha256:224b47180770397003a91dcb53a06c4bcc73dbb02303d4cc78a49203693452e6 - 0.0% (1.16 KB)

[#011] sha256:b76cdd4b407a878dcf3f4f22bca9ca3dc7b2a3ffdd5dd76acfdf768a161dc8e6 - 4.12% (129 MB)

[#012] sha256:55aabc3a120fb241d8813a57506a15a5b1bdf52b05c471c57813ea43229aea77 - 0.0% (1.32 KB)


History
2017-09-29 14:43:28 UTC

Apply image 10.0.16299.15

2018-08-08 23:20:54 UTC

Install update 10.0.16299.611

2018-08-15 09:39:55 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2018-08-23 10:41:07 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_VERSION=2.11.1

2018-08-23 10:41:08 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_TAG=v2.11.1.windows.1

2018-08-23 10:41:09 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_URL=https://github.com/git-for-windows/git/releases/download/v2.11.1.windows.1/MinGit-2.11.1-64-bit.zip

2018-08-23 10:41:10 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_SHA256=668d16a799dd721ed126cc91bed49eb2c072ba1b25b50048280a4e2c5ed56e59

2018-08-23 10:42:36 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:GIT_DOWNLOAD_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:GIT_DOWNLOAD_URL -OutFile 'git.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:GIT_DOWNLOAD_SHA256); if ((Get-FileHash git.zip -Algorithm sha256).Hash -ne $env:GIT_DOWNLOAD_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive -Path git.zip -DestinationPath C:\git\.; Write-Host 'Removing ...'; Remove-Item git.zip -Force; Write-Host 'Updating PATH ...'; $env:PATH = 'C:\git\cmd;C:\git\mingw64\bin;C:\git\usr\bin;' + $env:PATH; [Environment]::SetEnvironmentVariable('PATH', $env:PATH, [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ...'; Write-Host ' git --version'; git --version; Write-Host 'Complete.';

2018-08-23 10:42:38 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOPATH=C:\gopath

2018-08-23 10:43:34 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;C:\go\bin;{1}' -f $env:GOPATH, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine);

2018-08-27 22:31:33 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOLANG_VERSION=1.11

2018-08-27 22:37:49 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://golang.org/dl/go{0}.windows-amd64.zip' -f $env:GOLANG_VERSION); Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'go.zip'; $sha256 = '29f9291270f0b303d0b270f993972ead215b1bad3cc674a0b8a09699d978aeb4'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash go.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive go.zip -DestinationPath C:\; Write-Host 'Verifying install ("go version") ...'; go version; Write-Host 'Removing ...'; Remove-Item go.zip -Force; Write-Host 'Complete.';

2018-08-27 22:37:50 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) WORKDIR C:\gopath

Details
Created

2018-08-27 22:31:26 UTC

Size

5.3 GB

Content Digest
Environment
GIT_DOWNLOAD_SHA256

668d16a799dd721ed126cc91bed49eb2c072ba1b25b50048280a4e2c5ed56e59

GIT_DOWNLOAD_URL

https://github.com/git-for-windows/git/releases/download/v2.11.1.windows.1/MinGit-2.11.1-64-bit.zip

GIT_TAG

v2.11.1.windows.1

GIT_VERSION

2.11.1

GOLANG_VERSION

1.11

GOPATH

C:\gopath


Layers

[#000] sha256:3889bb8d808bbae6fa5a33e07093e65c31371bcf9e4c38c21be6b9af52ad1548 - 71.57% (3.79 GB)

[#001] sha256:6631c2d2a60cd7ee5b334c2725b03e4d4976abb9a19c8e8dc9b806b3752745a6 - 25.36% (1.34 GB)

[#002] sha256:3e7b18583f4b1d198a1b0f222de8583f8565481a4b667be0863f398eaad783dd - 0.0% (1.17 KB)

[#003] sha256:03b679707990911db06e417ee415391ab49bbc2ffcf1de2567c03bfe49f886aa - 0.0% (1.17 KB)

[#004] sha256:f1e3bcd827afbf10c585f5f3c94755187d50391b4562c6c29b65c6f5f33991c2 - 0.0% (1.16 KB)

[#005] sha256:1546d3d7838915c43d1426749344b49f04378aea046c6153eaa3028227176883 - 0.0% (1.18 KB)

[#006] sha256:f358492519165911ca86c3ca8e162e66d40ac5b489716979cd8012271df746a8 - 0.0% (1.17 KB)

[#007] sha256:b7946f07b69c61143eddb456d7f12d81e4c0ee1e9400b89450d680a13ebc2b7a - 0.52% (28.1 MB)

[#008] sha256:0fe6089d5b9e99a950ab9dbdaa757a13d23f6716a85566dc5fc6f6fa705b1f38 - 0.0% (1.17 KB)

[#009] sha256:2d3f9a33f61ee1a3cf5c3e9d36f9f0e5ae233c869ca4ea267e88ab4b8c5c1800 - 0.09% (4.76 MB)

[#010] sha256:4298481ac139eb44661a9c6aff3f536573dfe7a75ff0c8f33207cc9dbccad80a - 0.0% (1.17 KB)

[#011] sha256:cf92701fd8b4498c94cd0d92eaf003371e27b19cccf8178c2ef6107e40b1d20c - 2.46% (134 MB)

[#012] sha256:428fc9ae950155bb5db2f056071883824189e60cc93e6fe4ee59d0e1c99feb95 - 0.0% (1.32 KB)


History
2016-12-13 10:53:31 UTC

Apply image 10.0.14393.0

2018-08-13 17:52:23 UTC

Install update 10.0.14393.2430

2018-08-15 09:35:25 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) SHELL [powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue';]

2018-08-23 10:30:21 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_VERSION=2.11.1

2018-08-23 10:30:22 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_TAG=v2.11.1.windows.1

2018-08-23 10:30:23 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_URL=https://github.com/git-for-windows/git/releases/download/v2.11.1.windows.1/MinGit-2.11.1-64-bit.zip

2018-08-23 10:30:24 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GIT_DOWNLOAD_SHA256=668d16a799dd721ed126cc91bed49eb2c072ba1b25b50048280a4e2c5ed56e59

2018-08-23 10:32:12 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; Write-Host ('Downloading {0} ...' -f $env:GIT_DOWNLOAD_URL); [Net.ServicePointManager]::SecurityProtocol = [Net.SecurityProtocolType]::Tls12; Invoke-WebRequest -Uri $env:GIT_DOWNLOAD_URL -OutFile 'git.zip'; Write-Host ('Verifying sha256 ({0}) ...' -f $env:GIT_DOWNLOAD_SHA256); if ((Get-FileHash git.zip -Algorithm sha256).Hash -ne $env:GIT_DOWNLOAD_SHA256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive -Path git.zip -DestinationPath C:\git\.; Write-Host 'Removing ...'; Remove-Item git.zip -Force; Write-Host 'Updating PATH ...'; $env:PATH = 'C:\git\cmd;C:\git\mingw64\bin;C:\git\usr\bin;' + $env:PATH; [Environment]::SetEnvironmentVariable('PATH', $env:PATH, [EnvironmentVariableTarget]::Machine); Write-Host 'Verifying install ...'; Write-Host ' git --version'; git --version; Write-Host 'Complete.';

2018-08-23 10:32:13 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOPATH=C:\gopath

2018-08-23 10:33:33 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $newPath = ('{0}\bin;C:\go\bin;{1}' -f $env:GOPATH, $env:PATH); Write-Host ('Updating PATH: {0}' -f $newPath); [Environment]::SetEnvironmentVariable('PATH', $newPath, [EnvironmentVariableTarget]::Machine);

2018-08-27 22:24:34 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) ENV GOLANG_VERSION=1.11

2018-08-27 22:31:24 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; $url = ('https://golang.org/dl/go{0}.windows-amd64.zip' -f $env:GOLANG_VERSION); Write-Host ('Downloading {0} ...' -f $url); Invoke-WebRequest -Uri $url -OutFile 'go.zip'; $sha256 = '29f9291270f0b303d0b270f993972ead215b1bad3cc674a0b8a09699d978aeb4'; Write-Host ('Verifying sha256 ({0}) ...' -f $sha256); if ((Get-FileHash go.zip -Algorithm sha256).Hash -ne $sha256) { Write-Host 'FAILED!'; exit 1; }; Write-Host 'Expanding ...'; Expand-Archive go.zip -DestinationPath C:\; Write-Host 'Verifying install ("go version") ...'; go version; Write-Host 'Removing ...'; Remove-Item go.zip -Force; Write-Host 'Complete.';

2018-08-27 22:31:26 UTC

powershell -Command $ErrorActionPreference = 'Stop'; $ProgressPreference = 'SilentlyContinue'; #(nop) WORKDIR C:\gopath

Details
Created

2018-09-05 17:12:50 UTC

Size

238 MB

Content Digest
Environment
GOLANG_VERSION

1.11

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:b0e52c109d408e4b15451c236c7e463334a304fd078c535edbd687b22bfde52c - 16.86% (40.1 MB)

[#001] sha256:215164aeca718c35ec0eb0e6c0105cdcb8ceadce60d8c8ccc9c182f3b9928d32 - 3.78% (9 MB)

[#002] sha256:3881d6781569972fa823e9e0c4eab63be9dd636d1ae45ba90a364cfea2ed4f51 - 1.57% (3.73 MB)

[#003] sha256:247050a5017030d16351675bb3d21d3413470130201b75e5a0688c5d20932c20 - 18.59% (44.2 MB)

[#004] sha256:e7d4f9b9769e4dae8c8ae1b78e59ab5590824eb05729b185898d8ba66b338012 - 18.41% (43.8 MB)

[#005] sha256:e81c681276b348cb53cfc482a028da67e4011d934cabac46fa65610a87445452 - 40.78% (97 MB)

[#006] sha256:acb19a6f0e76a083ca9ae83b4178452f1151c540401141f5b343bccc56f351f7 - 0.0% (155 Bytes)


History
2018-09-05 12:04:11 UTC

/bin/sh -c #(nop) ADD file:bacead0de46aaeea589aade1154ab29f7b53ba32ac884c84a950a3f42bbe2868 in /

2018-09-05 12:04:12 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-09-05 12:44:43 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2018-09-05 12:44:52 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2018-09-05 12:45:35 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2018-09-05 17:12:31 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2018-09-05 17:12:32 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.11

2018-09-05 17:12:47 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='b3fcf280ff86558e0559e185b601c9eade0fd24c900b4c63cd14d1d38613e499' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='8ffeb3577d8ca5477064f1cb8739835973c866487f2bf81df1227eaa96826acd' ;; arm64) goRelArch='linux-arm64'; goRelSha256='e4853168f41d0bea65e4d38f992a2d44b58552605f623640c5ead89d515c56c9' ;; i386) goRelArch='linux-386'; goRelSha256='1a91932b65b4af2f84ef2dce10d790e6a0d3d22c9ea1bdf3d8c4d9279dfa680e' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='e874d617f0e322f8c2dda8c23ea3a2ea21d5dfe7177abb1f8b6a0ac7cd653272' ;; s390x) goRelArch='linux-s390x'; goRelSha256='c113495fbb175d6beb1b881750de1dd034c7ae8657c30b3de8808032c9af0a15' ;; *) goRelArch='src'; goRelSha256='afc1e12f5fe49a471e3aae7d906c73e9d5b1fdd36d52d72652dde8f6250152fb'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2018-09-05 17:12:48 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2018-09-05 17:12:48 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2018-09-05 17:12:49 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2018-09-05 17:12:50 UTC

/bin/sh -c #(nop) WORKDIR /go

Details
Created

2018-09-05 23:14:02 UTC

Size

243 MB

Content Digest
Environment
GOLANG_VERSION

1.11

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:421608e4e92275f9265604523f9299cf5f4bd493a1ea3affd62c265b38fc8823 - 16.92% (41.1 MB)

[#001] sha256:185ac5864132647baf5fa26dfe782dbf1645944aca4a8e963d24572bb0b90007 - 3.8% (9.24 MB)

[#002] sha256:c69d98c830cad0499c1720f09b5ec6e3dde0f144f0b5ab1b555fa37e4eac6623 - 1.6% (3.9 MB)

[#003] sha256:40b9bb8999b31a6d7863b55aa60a4268cb0d6b948e0271befbdd3e6b81af462b - 18.84% (45.8 MB)

[#004] sha256:0546d5cb4171af2c7b87f1d2dc7cdba784d58621249381a5de577e03800824a6 - 19.23% (46.7 MB)

[#005] sha256:d5b37136f0a4dfde2417503ce6f62d41b00edd3408dfa8928dac0a7ece40f9af - 39.6% (96.2 MB)

[#006] sha256:44f31b42237f5f3edf523ea0cd5bd7590d3a434c19b63dfd76379afa0ce90425 - 0.0% (126 Bytes)


History
2018-09-05 08:50:16 UTC

/bin/sh -c #(nop) ADD file:4e01bc399974f6fe22cd2b4421c2e52c52380aa00a770986939071dbc59d734e in /

2018-09-05 08:50:30 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-09-05 10:02:26 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2018-09-05 10:02:44 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2018-09-05 10:04:41 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2018-09-05 23:12:57 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2018-09-05 23:13:09 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.11

2018-09-05 23:13:28 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='b3fcf280ff86558e0559e185b601c9eade0fd24c900b4c63cd14d1d38613e499' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='8ffeb3577d8ca5477064f1cb8739835973c866487f2bf81df1227eaa96826acd' ;; arm64) goRelArch='linux-arm64'; goRelSha256='e4853168f41d0bea65e4d38f992a2d44b58552605f623640c5ead89d515c56c9' ;; i386) goRelArch='linux-386'; goRelSha256='1a91932b65b4af2f84ef2dce10d790e6a0d3d22c9ea1bdf3d8c4d9279dfa680e' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='e874d617f0e322f8c2dda8c23ea3a2ea21d5dfe7177abb1f8b6a0ac7cd653272' ;; s390x) goRelArch='linux-s390x'; goRelSha256='c113495fbb175d6beb1b881750de1dd034c7ae8657c30b3de8808032c9af0a15' ;; *) goRelArch='src'; goRelSha256='afc1e12f5fe49a471e3aae7d906c73e9d5b1fdd36d52d72652dde8f6250152fb'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2018-09-05 23:13:39 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2018-09-05 23:13:40 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2018-09-05 23:13:42 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2018-09-05 23:14:02 UTC

/bin/sh -c #(nop) WORKDIR /go

Details
Created

2018-09-05 15:24:10 UTC

Size

250 MB

Content Digest
Environment
GOLANG_VERSION

1.11

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:c931e468b38019a7817d974db9ed0b4ae9d1765d297590669406c18589ffae5e - 17.39% (43.5 MB)

[#001] sha256:7d6ce5ff3d103c074bf719d23bd00cf4926a1a9e032e7e3307eaa65233308ab2 - 3.79% (9.48 MB)

[#002] sha256:a0609146a0edf97fdccccb147946f1c5d48516f95535168e016a048d486209f9 - 1.64% (4.09 MB)

[#003] sha256:28a32da6c68ab6aa6a71d8083456371743ac70c9e6102e539b91aeba44921e4e - 19.09% (47.7 MB)

[#004] sha256:a58232a3291ad03eefa5699605ee54dab4f23f82ee453fb46a72df9ede051e16 - 20.13% (50.3 MB)

[#005] sha256:72056147aa5634fe5c1296a7939f5abea15d222a6e5e089af069745a5c87eaa8 - 37.96% (94.9 MB)

[#006] sha256:3fe253201b00d622e8c6f72b459dc61b33e38c7c40e198340ce2036cac519c02 - 0.0% (156 Bytes)


History
2018-09-05 08:19:18 UTC

/bin/sh -c #(nop) ADD file:f98c8d96684a432f8bb2cc0b184e5357631ed2431085de5814f32fe8eb28a4b9 in /

2018-09-05 08:19:19 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-09-05 09:04:36 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2018-09-05 09:04:57 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2018-09-05 09:06:38 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2018-09-05 15:23:23 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2018-09-05 15:23:24 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.11

2018-09-05 15:23:54 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='b3fcf280ff86558e0559e185b601c9eade0fd24c900b4c63cd14d1d38613e499' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='8ffeb3577d8ca5477064f1cb8739835973c866487f2bf81df1227eaa96826acd' ;; arm64) goRelArch='linux-arm64'; goRelSha256='e4853168f41d0bea65e4d38f992a2d44b58552605f623640c5ead89d515c56c9' ;; i386) goRelArch='linux-386'; goRelSha256='1a91932b65b4af2f84ef2dce10d790e6a0d3d22c9ea1bdf3d8c4d9279dfa680e' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='e874d617f0e322f8c2dda8c23ea3a2ea21d5dfe7177abb1f8b6a0ac7cd653272' ;; s390x) goRelArch='linux-s390x'; goRelSha256='c113495fbb175d6beb1b881750de1dd034c7ae8657c30b3de8808032c9af0a15' ;; *) goRelArch='src'; goRelSha256='afc1e12f5fe49a471e3aae7d906c73e9d5b1fdd36d52d72652dde8f6250152fb'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2018-09-05 15:24:00 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2018-09-05 15:24:02 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2018-09-05 15:24:08 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2018-09-05 15:24:10 UTC

/bin/sh -c #(nop) WORKDIR /go

Details
Created

2018-09-05 18:34:49 UTC

Size

245 MB

Content Digest
Environment
GOLANG_VERSION

1.11

GOPATH

/go

PATH

/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin


Layers

[#000] sha256:0d67503d3ff96f2ecf56e6f53b6d10b562227891864b38cd82deb47291f67e4d - 17.61% (43.1 MB)

[#001] sha256:731e997f60fe12a280a40cdbd86b8fe3795ca59b89f45d0841452af5b02a4320 - 4.0% (9.79 MB)

[#002] sha256:a92ce7dc85129d33f197d8718147806c5536dc3af5f6311cb463357e64c4f789 - 1.7% (4.16 MB)

[#003] sha256:c70de33c55fc49ef835b4924f1078d06a683f98c48e54c95dc5ff447f4588fc5 - 19.67% (48.1 MB)

[#004] sha256:220a052fb910918e504f5d63289e8d77cf5e6c64c7d6eb79e9076565aab96a02 - 17.88% (43.8 MB)

[#005] sha256:39c3f7e49bf68a806e8ebcb4b485f0e8c0e38f722502b8321d3a9237bbc3ac64 - 39.14% (95.8 MB)

[#006] sha256:aacb8f59cbfb578404e4cbcdce1583c37e40f99a76e01fbf5d613c28d9e93397 - 0.0% (126 Bytes)


History
2018-09-05 11:43:59 UTC

/bin/sh -c #(nop) ADD file:e8d7ae40251e43d792ae1b2a67f12263d8a7bbdb75e0b43b488b1e3a4beb6ad2 in /

2018-09-05 11:44:00 UTC

/bin/sh -c #(nop) CMD ["bash"]

2018-09-05 12:44:11 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends ca-certificates curl netbase wget && rm -rf /var/lib/apt/lists/*

2018-09-05 12:44:16 UTC

/bin/sh -c set -ex; if ! command -v gpg > /dev/null; then apt-get update; apt-get install -y --no-install-recommends gnupg dirmngr ; rm -rf /var/lib/apt/lists/*; fi

2018-09-05 12:44:45 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends bzr git mercurial openssh-client subversion procps && rm -rf /var/lib/apt/lists/*

2018-09-05 18:34:37 UTC

/bin/sh -c apt-get update && apt-get install -y --no-install-recommends g++ gcc libc6-dev make pkg-config && rm -rf /var/lib/apt/lists/*

2018-09-05 18:34:37 UTC

/bin/sh -c #(nop) ENV GOLANG_VERSION=1.11

2018-09-05 18:34:48 UTC

/bin/sh -c set -eux; dpkgArch="$(dpkg --print-architecture)"; case "${dpkgArch##*-}" in amd64) goRelArch='linux-amd64'; goRelSha256='b3fcf280ff86558e0559e185b601c9eade0fd24c900b4c63cd14d1d38613e499' ;; armhf) goRelArch='linux-armv6l'; goRelSha256='8ffeb3577d8ca5477064f1cb8739835973c866487f2bf81df1227eaa96826acd' ;; arm64) goRelArch='linux-arm64'; goRelSha256='e4853168f41d0bea65e4d38f992a2d44b58552605f623640c5ead89d515c56c9' ;; i386) goRelArch='linux-386'; goRelSha256='1a91932b65b4af2f84ef2dce10d790e6a0d3d22c9ea1bdf3d8c4d9279dfa680e' ;; ppc64el) goRelArch='linux-ppc64le'; goRelSha256='e874d617f0e322f8c2dda8c23ea3a2ea21d5dfe7177abb1f8b6a0ac7cd653272' ;; s390x) goRelArch='linux-s390x'; goRelSha256='c113495fbb175d6beb1b881750de1dd034c7ae8657c30b3de8808032c9af0a15' ;; *) goRelArch='src'; goRelSha256='afc1e12f5fe49a471e3aae7d906c73e9d5b1fdd36d52d72652dde8f6250152fb'; echo >&2; echo >&2 "warning: current architecture ($dpkgArch) does not have a corresponding Go binary release; will be building from source"; echo >&2 ;; esac; url="https://golang.org/dl/go${GOLANG_VERSION}.${goRelArch}.tar.gz"; wget -O go.tgz "$url"; echo "${goRelSha256} *go.tgz" | sha256sum -c -; tar -C /usr/local -xzf go.tgz; rm go.tgz; if [ "$goRelArch" = 'src' ]; then echo >&2; echo >&2 'error: UNIMPLEMENTED'; echo >&2 'TODO install golang-any from jessie-backports for GOROOT_BOOTSTRAP (and uninstall after build)'; echo >&2; exit 1; fi; export PATH="/usr/local/go/bin:$PATH"; go version

2018-09-05 18:34:48 UTC

/bin/sh -c #(nop) ENV GOPATH=/go

2018-09-05 18:34:49 UTC

/bin/sh -c #(nop) ENV PATH=/go/bin:/usr/local/go/bin:/usr/local/sbin:/usr/local/bin:/usr/sbin:/usr/bin:/sbin:/bin

2018-09-05 18:34:49 UTC

/bin/sh -c mkdir -p "$GOPATH/src" "$GOPATH/bin" && chmod -R 777 "$GOPATH"

2018-09-05 18:34:49 UTC

/bin/sh -c #(nop) WORKDIR /go

Danger Zone
Delete Tag

Please be careful as this will not just delete the reference but also the actual content!

For example when you have latest and v1.2.3 both pointing to the same image
the deletion of latest will also permanently remove v1.2.3.

Delete